/*
 * 
 */



#ifndef _DM_OTA_H_
#define _DM_OTA_H_
#include "kk_tsl_common.h"


typedef struct {
    void *ota_handle;
    char productType[PRODUCT_TYPE_MAXLEN];
    char deviceCode[DEVICE_CODE_MAXLEN];
} dm_ota_ctx_t;

int dm_ota_init(void);
int dm_ota_sub(void);
int dm_ota_deinit(void);
int dm_ota_get_ota_handle(void **handle);
int dm_ota_switch_device(int devid);
#endif
